<!DOCTYPE html>
<html lang="ru" xmlns="http://www.w3.org/1999/html">
{% load i18n %}
{% load static %}

{% load crispy_forms_tags %}


<head>
    <meta charset="UTF-8">
    <title>{% block title %}{% endblock %}</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
            integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
            integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
            crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
            integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
            crossorigin="anonymous"></script>
    <script src="https://kit.fontawesome.com/d23b3d8c2f.js" crossorigin="anonymous"></script>


    {% if request.session.theme == "light" %}
        <link href="{% static 'core/light.css' %}" rel="stylesheet">
    {% else %}
        <link href="{% static 'core/dark1.css' %}" rel="stylesheet">
    {% endif %}



</head>

<body class="background" style="overflow-x: hidden">

    <nav class="nav navavnav-pills nav-fill nav_text fixed-top nav_background">
        <a class="nav-link  nav_phone" href="tel:+3 (7529) 665 63 30"> +375 (29) 665-63-30</a>
        <a class="col-sm-3 nav-link" href="{% url 'home' %}"><h5>My site</h5></a>

        <a class=" col-sm-2 nav-link ">
            <div>
                {% with total_items=cart|length %}
                    {% if cart|length > 0 %}
                        <a href="{% url 'cart:cart_detail' %}"> {% trans "Корзина" %}:</a>
                        {{ total_items }}
                        ({{ cart.get_total_price }} {% trans 'руб' %})
                    {% else %}
                        <a href="{% url 'cart:cart_detail' %}">{% trans "Корзина пуста" %}</a>
                    {% endif %}
                {% endwith %}
            </div>
        </a>
        <a class="nav-link">
            <div>
                <div class="btn-group" role="group" aria-label="Second group">
                {% get_current_language as LANGUAGE_CODE %}
                {% get_available_languages as LANGUAGES %}
                {% get_language_info_list for LANGUAGES as languages %}
                {% for language in languages %}
                    <a href="/{{ language.code }}/"
                        {% if language.code == LANGUAGE_CODE %}
                        class="selected "
                        {% endif %}>
                        <button type="" class="btn btn-sm btn-outline-light nav_text" >{{ language.code }}</button>
                    </a>
                {% endfor %}
                </div>
            </div>
        </a>
        <a class="nav-link">
            <div>
                <form action="{% url 'change_theme' %}" method="post">
                    {% csrf_token %}
                   <div class="btn-group-sm " role="group" aria-label="Second group">
                        <button name="theme" type="submit" class="btn btn-light" value="light">Light</button>
                        <button name="theme" type="submit" class="btn btn-dark " value="dark">Dark</button>
                   </div>
                </form>
            </div>
        </a>
    </nav>
    <br>
    <br>
    <br>

    <br>
    <nav class="navbar navbar-expand-lg nav_background nav_tex ">
        <a class="navbar-brand margin fas fa-home" style="margin-left: 20px" href="{% url 'home' %}">  {% trans "Главная" %} </a>
         <div class="container-fluid">
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarTogglerDemo03" aria-controls="navbarTogglerDemo03" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
           <div class="collapse navbar-collapse" id="navbarTogglerDemo03">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'product' %}">{% trans 'Каталог' %}</a>

                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'about_us' %}">{% trans 'О нас' %}</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'buy' %}">{% trans 'Как купить' %}</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'recommendation' %}">{% trans 'Отзывы' %}</a>
                </li>
                <li>
                    <a class="nav-link" href="{% url 'contacts' %}">{% trans 'Контакты' %}</a>
                </li>
                <li class="nav-item">
            </ul>
                {% if request.user.is_authenticated %}
                    <h7 class="nav_text" style="margin-right: 20px"> {% trans 'Добро, пожаловать,' %} {{ user }}! | <a href="{% url 'user_logout' %}"> {% trans 'Выход' %}</a></h7>
                {% else %}
           </div>
                <span class="nav_text" style="margin-right: 20px">
               <a href="{% url 'register' %}" >{% trans 'Регистрация' %}</a> |
               <a href="{% url 'login' %}">{% trans 'Авторизация' %}</a>
            </span>
            {% endif %}
        </div>
         </div>
    </nav>



        {% if messages %}
        <ul class="messages">
            {% for message in messages %}
                {% if message.tags == 'error' %}
                    <div class="alert alert-danger" role="alert">
                        {{message}}
                    </div>
                {% else %}
                     <div class="alert alert-{{message.tags}}" role="alert">
                         {{message}}
                     </div>
                {% endif %}
            {% endfor %}
        </ul>
        {% endif %}



    {% block content %}{% endblock %}

    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    </body>
    <footer class="navbar-light nav_background nav_text">
        <br>
        <br>
        <div class="row">
            <div class="col">
                <p style="margin-left: 20px">&copy; 20//–20// Company </p>
            </div>
            <div class="col">
                <a class="nav-link" href="{% url 'product' %}">{% trans 'Каталог' %}</a>
                <a class="nav-link" href="{% url 'about_us' %}">{% trans 'О нас' %}</a>
                <a class="nav-link" href="{% url 'buy' %}">{% trans 'Как купить' %}</a>
                <a class="nav-link" href="{% url 'recommendation' %}">{% trans 'Отзывы' %}</a>
                <a class="nav-link" href="{% url 'contacts' %}">{% trans 'Контакты' %}</a>
            </div> <div class="col">
                <a class="nav-link" href="{% url 'register' %}">{% trans 'Регистрация' %}</a>
                <a class="nav-link" href="{% url 'login' %}">{% trans 'Авторизаиция' %}</a>
                <a class="nav-link" href="{% url 'cart:cart_detail' %}">{% trans 'Корзина' %}</a>

            </div>
            <div class="col">
                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d728.8739792067018!2d27.69420352208074!3d53.955035981424764!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x46dbc93826962d09%3A0x3ef3b52124440e53!2z0KHRgtGA0L7QuNGC0LXQu9GM0L3Ri9C5INGA0YvQvdC-0Log0KPRgNGD0YfRjNC1!5e0!3m2!1sru!2sby!4v1616702450006!5m2!1sru!2sby"
                        height="250px" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
            </div>
            <div class="col">
                <p style="margin-right: 20px" class="float-end"><a href="#">{% trans 'Наверх' %}</a></p>
            </div>
        </div>

    </footer>


<script src="../assets/dist/js/bootstrap.bundle.min.js"></script>




</html>
